# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "snocat"
version = "0.2.0-alpha.11"
authors = ["Microsoft Corporation", "Zoey <Dessix@Dessix.net>"]
include = ["src/**/*", "build.rs", "Cargo.toml", "LICENSE*", "*.md"]
description = "Streaming Network Overlay Connection Arbitration Tunnel"
categories = ["network-programming"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/microsoft/snocat"

[lib]
crate-type = ["rlib", "cdylib"]
[dependencies.anyhow]
version = "~1.0.42"

[dependencies.downcast-rs]
version = "^1.2.0"

[dependencies.futures]
version = "^0.3.15"

[dependencies.futures-io]
version = "^0.3.15"

[dependencies.gen-z]
version = "~0.1.0"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.log]
version = "~0.4.13"

[dependencies.quinn]
version = "~0.7.2"

[dependencies.serde]
version = "~1.0.126"
features = ["derive"]

[dependencies.serde_json]
version = "~1.0.64"

[dependencies.thiserror]
version = "^1.0.26"

[dependencies.tokio]
version = "^1.8.1"
features = ["net", "io-util", "signal", "sync", "time", "macros", "rt-multi-thread"]

[dependencies.tokio-stream]
version = "^0.1.7"
features = ["net", "io-util", "sync"]

[dependencies.tokio-util]
version = "^0.6.7"
features = ["default", "io", "time"]

[dependencies.tracing]
version = "~0.1.22"

[dependencies.tracing-futures]
version = "~0.2.4"

[dependencies.tracing-subscriber]
version = "~0.2.19"

[features]
core = []
default = ["core"]
full = ["core"]
